{% load i18n static %}
{% if cl.search_fields %}
  <div id="toolbar">
    <form id="changelist-search" method="get">
      <div><!-- DIV needed for valid HTML -->
        <div class="form-group pull-right top_search">
          <div class="input-group">
            <input type="text" class="form-control" placeholder="Search for..." name="{{ search_var }}" value="{{ cl.query }}" id="searchbar" autofocus />
            <span class="input-group-btn">
              <input type="submit" class="btn btn-default" value="{% trans 'Search' %}" />
            </span>
          </div>
        </div>
        {% if show_result_count %}
          <span class="small quiet">{% blocktrans count counter=cl.result_count %}{{ counter }} result{% plural %}{{ counter }} results{% endblocktrans %} (<a href="?{% if cl.is_popup %}_popup=1{% endif %}">{% if cl.show_full_result_count %}{% blocktrans with full_result_count=cl.full_result_count %}{{ full_result_count }} total{% endblocktrans %}{% else %}{% trans "Show all" %}{% endif %}</a>)</span>
        {% endif %}
        {% for pair in cl.params.items %}
          {% if pair.0 != search_var %}<input type="hidden" name="{{ pair.0 }}" value="{{ pair.1 }}"/>{% endif %}
        {% endfor %}
      </div>
    </form>
  </div>
{%endif %}